Subject: 23.1; Buffer Tab not being linked properly

From: David Ronis <[email-masked]>
Date: Wed, 12 Aug 2009 13:55:41 -0400

I'm working on a fortran project and am currently using emacs to edit
the Makefile, fortran source file and to do the compilation (I'm also
using it to send this bug report).   The menubar at the top has
entries that change when I switch buffers/modes; e.g., right now I see
entries like 

File Edit Options Buffers Tools Headers Mail Mailcrypt Help

Clicking on Mail or Mailcrypt doen't popup a menu.

Switching to my fortran buffer, I have

File Edit Options Buffers Tools Fortran Help

Now clicking on Fortran generates the correct menu.

Compiling the program results in a compilation buffer with 
a menubar containing

File Edit Options Buffers Tools Compile Help

Clicking on Compile gets the Fortran menu.  

Basically it seems that only the extra tab associated with the first
thing I read into emacs is present.

Is this a bug?  Any suggestions if not?

Thanks in advance.

David

In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-07-30 on ronispc
Windowing system distributor `The X.Org Foundation', version 11.0.10699001
configured using `configure  'CC=/usr/bin/gcc' 'CFLAGS=-march=native -msse2 -mfpmath=sse -O3 -ffast-math -funroll-loops -fomit-frame-pointer -floop-interchange -floop-strip-mine -floop-block''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: en_US
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Fortran

Minor modes in effect:
  show-paren-mode: t
  display-time-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <C-down-mouse-1> 
M-x c o m p i l e <return> <backspace> <backspace> 
<backspace> <return> <help-echo> <down-mouse-1> <drag-mouse-1> 
<help-echo> <help-echo> <down-mouse-1> <mouse-1> C-x 
1 M-x e m a <tab> c <tab> r <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> SPC r e p o <tab> r <tab> <return>

Recent messages:
Loading mailcrypt...done
PGP version set to 5.0.
Loading paren...done
For information about GNU Emacs and the GNU system, type C-h C-a.
(No files need saving)
Compilation finished
Mark set
Making completion list...
call-interactively: Text is read-only
Making completion list... [2 times]